package card_info_jd

import (
	"context"
	"kami/internal/service"

	"kami/api/card_info_jd/v1"
)

func (c *ControllerV1) JDAccountUpdateStatus(ctx context.Context, req *v1.JDAccountUpdateStatusReq) (res *v1.JDAccountUpdateStatusRes, err error) {
	jdAccountService := service.CardRedeemAccount()
	err = jdAccountService.UpdateStatus(ctx, req.ID, req.Status, nil)
	return
}
